package sun.management.snmp.jvmmib;

import java.util.Hashtable;
import java.io.Serializable;
import com.sun.jmx.snmp.Enumerated;

public class EnumJvmRTBootClassPathSupport extends Enumerated implements Serializable
{
    static final long serialVersionUID = -5957542680437939894L;
    protected static Hashtable<Integer, String> intTable;
    protected static Hashtable<String, Integer> stringTable;
    
    public EnumJvmRTBootClassPathSupport(int n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmRTBootClassPathSupport(Integer n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmRTBootClassPathSupport() throws IllegalArgumentException {
    }
    
    public EnumJvmRTBootClassPathSupport(String s) throws IllegalArgumentException {
        super(s);
    }
    
    protected Hashtable<Integer, String> getIntTable() {
        return EnumJvmRTBootClassPathSupport.intTable;
    }
    
    protected Hashtable<String, Integer> getStringTable() {
        return EnumJvmRTBootClassPathSupport.stringTable;
    }
    
    static {
        EnumJvmRTBootClassPathSupport.intTable = new Hashtable();
        EnumJvmRTBootClassPathSupport.stringTable = new Hashtable();
        EnumJvmRTBootClassPathSupport.intTable.put(new Integer(2), "supported");
        EnumJvmRTBootClassPathSupport.intTable.put(new Integer(1), "unsupported");
        EnumJvmRTBootClassPathSupport.stringTable.put("supported", new Integer(2));
        EnumJvmRTBootClassPathSupport.stringTable.put("unsupported", new Integer(1));
    }
}
